[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: rpms/lesstif/devel lesstif.spec,1.4,1.5



On Thu, 4 Jan 2007 18:52:15 +0100, Patrice Dumas wrote:

> On Thu, Jan 04, 2007 at 06:03:37PM +0100, Michael Schwendt wrote:
> > On Thu, 4 Jan 2007 17:47:50 +0100, Patrice Dumas wrote:
> > 
> > [openmotif21 / lesstif]
> > 
> > > > 2.) Are they really *binary* compatible?
> > > 
> > > No, they are binary incompatible.
> > 
> > abicheck on ddd is happy when lesstif is removed and the old openmotif21
> > compatibility pkg is installed. The lesstif folks indeed aim at full
> > compatibility with Motif 1.2 and 2.1 according to their docs.
> 
> Seems that xpdf and ddd from fedora devel are happy with openmotif21,
> but nedit segfaults. abicheck seems to be happy with nedit.

API- and ABI-compatibility alone does not ensure run-time compatibility.
 
> It may be a bug/workaround specific of nedit, if I recall well it doesn't
> do exactly the same with lesstif or openmotif. I cannot get a backtrace.
> 
> grace (or xbae?) fails:
> The software was built with LessTif, but is running with Motif!
> We don't support binary Motif/LessTif compatibility.
> Use a semistatic binary or compile Grace yourself!
> Failed initializing GUI, exiting

DoS for anyone, who upgrades from FC4 and has openmotif21 installed.

SONAMEs are present, lesstif won't be pulled in, and whether the
applications will execute at all depends on the configured run-time
linker's search path. More reason to use appropriate versioned Obsoletes.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]